> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/zetachain/cosmos-staking-v1beta1-historical_info-height.md).

# /cosmos/staking/v1beta1/historical\_info/{height}

HistoricalInfo queries the historical info for given height.

#### **Parameters:**

**height-string,** height defines at which height to query the historical info.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://zetachain.blockpi.network/lcd/v1/<your-api-key>/cosmos/staking/v1beta1/historical_info/{height}

// Result
{
    
}
```

{% endcode %}
